Package twisted :: Package im :: Module gtkaccount

[show private | hide private]
[frames | no frames]

## Module twisted.im.gtkaccount

Classes
`AccountManager` |
`DummyAccountForm` |
`IRCAccountForm` |
`NewAccount` |
`PBAccountForm` |
`TOCAccountForm` |

Variable Summary
`str` | `GLADE_FILE`
`FakeModule` | `gtk`
`list` | `registeredTypes`
`str` | `SETTINGS_FILE`

Variable Details

### GLADE_FILE

  Type:
    `str`
  Value:

        '/home/radix/rel/Twisted-1.0.5/twisted/im/instancemessenger.glade'

### gtk

  Type:
    `FakeModule`
  Value:

        <Fake gtk>

### registeredTypes

  Type:
    `list`
  Value:

        [('Twisted', <class twisted.im.gtkaccount.PBAccountForm at 0x859f9b4>)\
        ,
         ('AOL Instant Messenger',
          <class twisted.im.gtkaccount.TOCAccountForm at 0x85642fc>),
         ['IRC', <class twisted.im.gtkaccount.IRCAccountForm at 0x85c55cc>],
         ('Dummy', <class twisted.im.gtkaccount.DummyAccountForm at 0x85b21d4>\
        )]

### SETTINGS_FILE

  Type:
    `str`
  Value:

        '/home/radix/.InstanceMessenger'

Generated by Epydoc 1.1 on Thu May 8 13:18:22 2003 | http://epydoc.sf.net